// $Id: J4ExpHall.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4EXPHALL__
#define __J4EXPHALL__
//*************************************************************************
//* --------------------
//* J4EXPHALL
//* --------------------
//* (Description)
//* 	Derived class for ExperimentalHall.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4ExpHall : public J4VDetectorComponent {	

public:

  J4ExpHall( J4VDetectorComponent *parent = 0,
  		  G4int nclones   = 1,
  		  G4int nbrothers = 1, 
  		  G4int me = 0);
  		  
  virtual ~J4ExpHall();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn()  ;
  virtual void	SwitchOff() ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
  virtual const G4ThreeVector& GetCenter() const; 

private:
  void 	Assemble(); 
  void  Cabling () {}
  
private: 
  static J4VMaterialStore* fMaterialStore;
  static G4String          fProjectName; 
  static G4String          fExpName; 
  

};

#endif


