// $Id: J4MaterialCatalog.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4MATERIALCATALOG__
#define __J4MATERIALCATALOG__
// ====================================================================
//    J4MaterialCatalog.hh
//
/// ====================================================================

#include "G4Element.hh"
#include "G4Material.hh"
#include "PhysicalConstants.h"

// ====================================================================
//
// class definition
//
// ====================================================================
 
class J4MaterialCatalog {

protected:
  J4MaterialCatalog();   // constructor should NOT be public. 
  
public:
  ~J4MaterialCatalog();
  
  static J4MaterialCatalog*	OpenCatalog();
  G4Material*		        Order(const G4String& name) const;

private:  
  void  ReadMaterialCatalog();
    
private:
  static J4MaterialCatalog* 	fMaterialCatalog;
  const  G4MaterialTable*       fMaterialTable;
  const  G4ElementTable*        fElementTable;
  
  
  
  
};

// ====================================================================
// inline definition
// ====================================================================

inline J4MaterialCatalog* J4MaterialCatalog::OpenCatalog()
{
  if(!fMaterialCatalog) fMaterialCatalog= new J4MaterialCatalog();
  return fMaterialCatalog;
}

#endif
