// $Id: J4VBLDetectorComponent.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4VBLDETECTORCOMPONENT__
#define __J4VBLDETECTORCOMPONENT__
//*************************************************************************
//* -----------------------
//* J4VBLDetectorComponent
//* -----------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4BLMaterialStore.hh"
#include "J4VDetectorComponent.hh"
#include "J4BLParameter.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VBLDetectorComponent : public J4VDetectorComponent
{	// abstruct class

public:
  //default constructor...
  J4VBLDetectorComponent( G4String& name, 
  			   J4VDetectorComponent *parent = 0,
  			   G4int nclones = 1,
  			   G4int nbrothers = 1, 
  			   G4int me = 0);
  			   
  virtual ~J4VBLDetectorComponent();
#if 0 		          
  J4VBLDetectorComponent(J4VBLDetectorComponent& right);
  virtual const J4VBLDetectorComponent& 
  		operator=(const J4VBLDetectorComponent& right);    
#endif
      
protected:    
  J4VMaterialStore* 	 OpenMaterialStore();
  
private:
  static J4BLMaterialStore* fMaterialStore;
  static G4String fSubGroup;
       
};

#if 0
//=====================================================================
//---------------------
// inline function
//---------------------


inline J4VBLDetectorComponent::J4VBLDetectorComponent(J4VBLDetectorComponent& right)
{

  fMaterialStore = right.fMaterialStore;
  fSubGroup      = right.fSubGroup;
          
}

inline const J4VBLDetectorComponent& 
J4VBLDetectorComponent::operator=(const J4VBLDetectorComponent& right)
{

  fMaterialStore = right.fMaterialStore;
  fSubGroup      = right.fSubGroup;
  
  return *this;
            
}

#endif



#endif


