// $Id: J4VBLDetectorComponent.cc,v 1.1.1.1 2001/08/31 07:38:35 hoshina Exp $
//*************************************************************************
//* -----------------------
//* J4VBLDetectorComponent
//* -----------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VBLDetectorComponent.hh"


J4BLMaterialStore* J4VBLDetectorComponent::fMaterialStore = 0;

G4String J4VBLDetectorComponent::fSubGroup("BL");

//=====================================================================
//---------------------
// class 
//---------------------

//=====================================================================
//* default constructor -----------------------------------------------

J4VBLDetectorComponent::J4VBLDetectorComponent(
			   	G4String& name, 
  			   	J4VDetectorComponent *parent,
  			   	G4int nclones,
  			   	G4int nbrothers, 
  			   	G4int me		  ) : 
                         J4VDetectorComponent(fSubGroup, name, 
                         		      parent, nclones,	 
                         		      nbrothers, me  )   
{ 
}


//=====================================================================
//* destructor --------------------------------------------------------

J4VBLDetectorComponent::~J4VBLDetectorComponent()
{	
   if(fMaterialStore) delete fMaterialStore;
   if(fSubGroup)      delete fSubGroup;
}

//=====================================================================
//* OpenMaterialStore -------------------------------------------------

J4VMaterialStore* J4VBLDetectorComponent::OpenMaterialStore()
{
   if(!fMaterialStore) {
   	fMaterialStore = new J4BLMaterialStore();
  	G4cerr << "*** Opend J4BLMaterialStore ***" << G4endl;
  }
    
   return fMaterialStore;
}


