// $Id: J4CDCDriftRegion.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4CDCDRIFTREGION__
#define __J4CDCDRIFTREGION__
//*************************************************************************
//* --------------------
//* J4CDCDRIFTREGION
//* --------------------
//* (Description)
//* 	Derivation class for CDC DriftRegion.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VCDCDetectorComponent.hh"
#include "J4CDCSenseWire.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4CDCDriftRegion : public J4VCDCDetectorComponent {	

public:
  J4CDCDriftRegion( J4VDetectorComponent *parent = 0,
  		    G4int nclones   = 1,
  		    G4int nbrothers = 1, 
  		    G4int me = 0);
  		      		     
  virtual ~J4CDCDriftRegion();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn (G4String opt = "me")  ;
  virtual void	SwitchOff(G4String opt = "me") ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble(); 
  void  Cabling ();  
   
private:  
  static G4String fName;
  J4CDCSenseWire* fSenseWire;
  
};

#endif


