// $Id: J4CDCParameter.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
//=============================================
// Parameter of CDC
//
//
//=============================================



// Materials
#if 0
#define _CDCMATERIAL_                 "Air"
#define _CDCSUPPORTTUBMATERIAL_       "CarbonFiber"
#define _CDCENDCAPMATERIAL_	      "Aluminum"
#define _CDCSENSEWIREMATERIAL_        "Tungsten"
#define _CDCLAYERMATERIAL_            "vacuum"
#define _CDCCELLMATERIAL_             "vacuum"
#define _CDCDRIFTREGIONMATERIAL_      "vacuum"
#define _CDCDUMMYDRIFTREGIONMATERIAL_ "vacuum"
#else
#define _CDCMATERIAL_                 "Air"
#define _CDCSUPPORTTUBMATERIAL_       "Aluminum"
#define _CDCENDCAPMATERIAL_	      "Aluminum"
#define _CDCSENSEWIREMATERIAL_        "Tungsten"
#define _CDCLAYERMATERIAL_            "CO2Isobutane"
#define _CDCCELLMATERIAL_             "CO2Isobutane"
#define _CDCDRIFTREGIONMATERIAL_      "CO2Isobutane"
#define _CDCDUMMYDRIFTREGIONMATERIAL_ "CO2Isobutane"
#endif


// for Chamber
#define _CDCIR_		 	 45.*cm
#define _CDCOR_			155.*cm
#define _CDCLEN_		157.*cm
#define _CDCSPHI_       	  0.*deg
#define _CDCDPHI_       	360.*deg
#define _CDCVISATT_		TRUE

// for Endcap
#define _CDCENDCAPNUM_		2
#define _CDCENDCAPIR_		_CDCIR_
#define _CDCENDCAPOR_		_CDCOR_
#define _CDCENDCAPHALFTHICK_	  1.*cm
#define _CDCENDCAPFRONTZ_	_CDCLEN_ - _CDCENDCAPHALFTHICK_ * 2
#define _CDCENDCAPSPHI_       	_CDCSPHI_
#define _CDCENDCAPDPHI_       	_CDCDPHI_
#define _CDCENDCAPVISATT_	TRUE

// for OuterSupportTub
#define _CDCSUPPORTTUBTHICK_     0.5*cm
#define _CDCOUTERSUPPORTTUBIR_	_CDCOR_ - _CDCSUPPORTTUBTHICK_
#define _CDCOUTERSUPPORTTUBOR_	_CDCOR_
#define _CDCINNERSUPPORTTUBIR_	_CDCIR_
#define _CDCINNERSUPPORTTUBOR_	_CDCIR_ + _CDCSUPPORTTUBTHICK_
#define _CDCSUPPORTTUBLEN_	_CDCENDCAPFRONTZ_
#define _CDCSUPPORTTUBSPHI_     _CDCSPHI
#define _CDCSUPPORTTUBDPHI_     _CDCDPHI_
#define _CDCSUPPORTTUBVISATT_	TRUE

// for Layer(J4CDCLayer)
#define _CDCLAYERTHICK_  	   7.*cm
#define _CDCLAYERNLAYERS_	   10
#define _CDCSHIELDTHICK_ 	(_CDCOUTERSUPPORTTUBIR_-_CDCINNERSUPPORTTUBOR_-_CDCLAYERTHICK_*_CDCLAYERNLAYERS_)/(_CDCLAYERNLAYERS_+1) 
#define _CDCLAYERLEN_		  _CDCSUPPORTTUBLEN_
#define _CDCLAYERNCLONES_	   1
#define _CDCLAYERVISATT_	   FALSE

// for Cell (J4CDCCell)
#define _CDCCellNLayers_    	   1
#define _CDCCellVisAtt_     	   FALSE

// for Drift Region (J4CDCDriftRegion)
#define _CDCDriftRegionNReplica_   1	// Number of DriftRegion in a cell
#define _CDCDriftRegionNLayers_    5
#define _CDCDriftRegionVisAtt_     FALSE

// for Drift Region (J4CDCDriftRegion)
#define _CDCDummyDriftRegionNReplica_   1	// Number of DriftRegion in a cell
#define _CDCDummyDriftRegionNLayers_    2
#define _CDCDummyDriftRegionVisAtt_     FALSE

// for Sense Wire (J4CDCSenseWire)
#define _CDCSenseWireIR_           0.*mm
#define _CDCSenseWireOR_           0.015*mm
#define _CDCSenseWireSphi_	   0.*deg
#define _CDCSenseWireNReplica_     1
#define _CDCSenseWireVisAtt_	   FALSE
