// $Id: J4CDCSenseWire.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4CDCSENSEWIRE__
#define __J4CDCSENSEWIRE__
//*************************************************************************
//* --------------------
//* J4CDCSENSEWIRE
//* --------------------
//* (Description)
//* 	Derivation class for CDC SenseWire.
//*     Mother class : J4VCDCDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VCDCDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4CDCSenseWire : public J4VCDCDetectorComponent {	

public:
  J4CDCSenseWire( J4VDetectorComponent *parent = 0,
  		  G4int nclones   = 1,
  		  G4int nbrothers = 1, 
  		  G4int me = 0);
  		  
  virtual ~J4CDCSenseWire();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn (G4String opt = "me")  ;
  virtual void	SwitchOff(G4String opt = "me") ;
  virtual void	Draw()      ;
  virtual void	Print() const ;

private:
  void 	Assemble(); 
  void  Cabling ();
  
private: 
  static G4String fName; 
  

};

#endif


