// $Id: J4IT.cc,v 1.1.1.1 2001/08/31 07:38:35 hoshina Exp $
//*************************************************************************
//* --------------------
//* J4IT
//* --------------------
//* (Description)
//* 	Class for describing his/her detector compornents.
//*     
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4IT.hh"


// ====================================================================
//--------------------------------
// constants (detector parameters)
//--------------------------------

G4String J4IT::fName("IT");

//=====================================================================
//---------------------
// Class Description
//---------------------

//=====================================================================
//* constructor -------------------------------------------------------

J4IT::J4IT(J4VDetectorComponent *parent,
			    G4int nclones,
  		  	    G4int nbrothers, 
  		  	    G4int me ) :
  		J4VITDetectorComponent( fName, parent, nclones,
  					 nbrothers, me  ) 
{   
}

//=====================================================================
//* destructor --------------------------------------------------------

J4IT::~J4IT()
{
	
  if (fLayers){	
    G4int i;  
    for (i = 0; i < _ITLAYERNLAYERS_ ; i++) {
     if(fLayers[i]) delete fLayers [i];
    } 
    delete [] fLayers;
  }
}

//=====================================================================
//* Assemble   --------------------------------------------------------

void J4IT::Assemble() 
{   
  if(!GetLV()){
  	
    G4double rmin = _ITIR_;
    G4double rmax = _ITOR_;
    G4double len  = _ITLEN_;
    G4double dphi = _ITDPHI_;
  	
    // MakeSolid ----------//
    OrderNewTubs (rmin, rmax, len, dphi);
    
    // MakeLogicalVolume --//  
    MakeLVWith(OpenMaterialStore()->Order(_ITMATERIAL_));
    
    // SetVisAttribute ----//
    PaintLV(_ITVISATT_, G4Color(1, 0, 0));
  	
    // Install daughter PV //
    // Install Layer       //
  		  
    fLayers = new J4ITLayer* [_ITLAYERNLAYERS_];
    G4int i;  
    for (i = 0; i < _ITLAYERNLAYERS_ ; i++) {
      fLayers [i] = new J4ITLayer(this,_ITLAYERNCLONES_ , _ITLAYERNLAYERS_ , i );
      fLayers [i]->InstallIn(this);  
      
      SetDaughter(fLayers[i]);
    }  
      
  }
}

//=====================================================================
//* Cabling  ----------------------------------------------------------

void J4IT::Cabling()
{
}

//=====================================================================
//* InstallIn  --------------------------------------------------------

void J4IT::InstallIn(J4VDetectorComponent* mother)
{ 
  Assemble();			// You MUST call Assemble(); at first.
  				// 
  
  // Placement function into mother object...
  
  SetPVPlacement();
  
}



//* Draw  --------------------------------------------------------
void J4IT::Draw()
{
  // set visualization attributes
  
}
	
//* Print  --------------------------------------------------------
void J4IT::Print() const
{
}

	
	
