// $Id: J4MagneticField.cc,v 1.1.1.1 2001/08/31 07:38:35 hoshina Exp $
//*************************************************************************
//* --------------------
//* J4MagneticField
//* --------------------
//* (Description)
//* 	This class applies magnetic field.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/02/18  K.Hoshina	Original version.
//*************************************************************************
 
#include "J4MagneticField.hh"

//=====================================================================
//---------------------
// class description
//---------------------

void J4MagneticField::GetFieldValue(const  G4double Point[3], 
				           G4double* Bfield ) const
{
	
  G4double maxBRad    = _MAGOR_;
  G4double maxBZ      = _MAGLen_;
  G4double zBfield    = _BFIELD_;	
  G4double maxBRad_sq = maxBRad * maxBRad;
  
  Bfield[0] = 0.;
  Bfield[1] = 0.;  
  if(abs(Point[2]) < maxBZ && (sqr(Point[0])+sqr(Point[1])) < maxBRad_sq){ 
    Bfield[2] = zBfield; 
  }else{
    Bfield[2] = zBfield; 
  }

}

