// $Id: J4UnionSolid.cc,v 1.1.1.1 2001/08/31 07:38:35 hoshina Exp $
//*************************************************************************
//* --------------------
//* J4UnionSolid
//* --------------------
//* (Description)
//*     
//* (Update Record)
//*	2001/08/26  K.Hoshina	Original version.
//*************************************************************************

#include "J4UnionSolid.hh"

///////////////////////////////////////////////////////////////////
//
// Transfer all data members to G4BooleanSolid which is responsible
// for them. pName will be in turn sent to G4VSolid

J4UnionSolid:: J4UnionSolid( const G4String& pName,
                                     G4VSolid* pSolidA ,
                                     G4VSolid* pSolidB   ):
		G4UnionSolid(pName,pSolidA,pSolidB), fIsOwner(true)
{
   ;
}

/////////////////////////////////////////////////////////////////////
//
//
 
J4UnionSolid:: J4UnionSolid( const G4String& pName,
                                     G4VSolid* pSolidA ,
                                     G4VSolid* pSolidB ,
                                     G4RotationMatrix* rotMatrix,
                               const G4ThreeVector& transVector    ):
		G4UnionSolid(pName,pSolidA,pSolidB,rotMatrix,transVector)
		, fIsOwner(true)

{
   ;
}

///////////////////////////////////////////////////////////
//
//
 
J4UnionSolid:: J4UnionSolid( const G4String& pName,
                                     G4VSolid* pSolidA ,
                                     G4VSolid* pSolidB ,
                               const G4Transform3D& transform  ):
		G4UnionSolid(pName,pSolidA,pSolidB,transform)
		, fIsOwner(true)

{
   ;
} 


///////////////////////////////////////////////////////////
//
//

J4UnionSolid::~J4UnionSolid()
{
   if (fIsOwner) {
   	if (fPtrSolidA) delete fPtrSolidA;
   	if (fPtrSolidB) delete fPtrSolidB;
   }
}


