// $Id: J4VTX.hh,v 1.1.1.1 2001/08/31 07:38:34 hoshina Exp $
#ifndef __J4VTX__
#define __J4VTX__
//*************************************************************************
//* --------------------
//* J4VTX
//* --------------------
//* (Description)
//* 	Derivation class for VTX.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VTXLayer.hh"
#include "J4VVTXDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTX : public J4VVTXDetectorComponent {	

public:
  J4VTX(J4VDetectorComponent *parent = 0,
  		     G4int nclones   = 1,
  		     G4int nbrothers = 1, 
  		     G4int me = 0);
  virtual ~J4VTX();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn()  ;
  virtual void	SwitchOff() ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:  
  static G4String	fName;
  J4VTXLayer**		fLayers;
  
};

#endif


