// $Id: J4VTXEpitaxial.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
#ifndef __J4VTXEPITAXIAL_
#define __J4VTXEPITAXIAL__
//*************************************************************************
//* --------------------
//* J4VTXEpitaxial
//* --------------------
//* (Description)
//* 	Derivation class for VTX Epitaxial.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/06/06  T.Aso	Original version.
//*************************************************************************

#include "J4VVTXDetectorComponent.hh"
#include "J4VTXPixelArea.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTXEpitaxial : public J4VVTXDetectorComponent {	

public:

  J4VTXEpitaxial(J4VDetectorComponent* parent       = 0);
  	     
  virtual ~J4VTXEpitaxial();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:
  
  static G4String fName;

  J4VTXPixelArea* fPixelArea;
  G4ThreeVector* fDxyzEpitaxial;
  G4ThreeVector* fxyzEpitaxial;   

};

#endif


