// $Id: J4VTXLadder.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
#ifndef __J4VTXLADDER__
#define __J4VTXLADDER__
//*************************************************************************
//* --------------------
//* J4VTXLadder
//* --------------------
//* (Description)
//* 	Derivation class for VTX Ladder.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/06/06  T.Aso	Original version.
//*************************************************************************

#include "J4VTXSensor.hh"
#include "J4VVTXDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTXLadder : public J4VVTXDetectorComponent {	

public:

  J4VTXLadder(J4VDetectorComponent* parent       = 0,
	      G4int numOfLadders = 0);
  	     
  virtual ~J4VTXLadder();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  virtual G4int GetMyID(){ return -1; } 
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:
  
  static G4String fName;

  //  J4VTXSensor* fSensor;
  G4ThreeVector* fDxyzLadder;
  G4ThreeVector* fxyzLadder;
  G4double fAngle; 

  J4VTXSensor* fSensor;
  
};

#endif


