// $Id: J4VTXLayer.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
#ifndef __J4VTXLAYER__
#define __J4VTXLAYER__
//*************************************************************************
//* --------------------
//* J4VTXLayer
//* --------------------
//* (Description)
//* 	Derivation class for VTX Layer.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2000/12/08  K.Hoshina	Original version.
//*************************************************************************

#include "J4VTXLadder.hh"
#include "J4VVTXDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTXLayer : public J4VVTXDetectorComponent {	

public:

  J4VTXLayer(J4VDetectorComponent* parent       = 0,
  	     G4int 		   nbrothers    = 1, 
  	     G4int 		   me           = 0   );
  	     
  virtual ~J4VTXLayer();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:
  
  static G4String fName;

  J4VTXLadder* fLadder;
  
  G4double   fRmin;
  G4double   fRmax;
  G4double   fLen;
  G4double   fTotalPhi;
  
};

#endif


