// $Id: J4VTXPixelArea.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
#ifndef __J4VTXPIXELAREA_
#define __J4VTXPIXELAREA__
//*************************************************************************
//* --------------------
//* J4VTXPixelArea
//* --------------------
//* (Description)
//* 	Derivation class for VTX PixelArea.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/06/06  T.Aso	Original version.
//*************************************************************************

#include "J4VVTXDetectorComponent.hh"
#include "J4VTXPixelAreaSD.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTXPixelArea : public J4VVTXDetectorComponent {	

public:

  J4VTXPixelArea(J4VDetectorComponent* parent       = 0);
  	     
  virtual ~J4VTXPixelArea();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	SwitchOn (G4String opt = "me")  ;
  virtual void	SwitchOff(G4String opt = "me") ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:
  
  static G4String fName;

  G4ThreeVector* fDxyzPixelArea;
  G4ThreeVector* fxyzPixelArea;   

};

#endif


