// $Id: J4VTXSensor.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
#ifndef __J4VTXSENSOR_
#define __J4VTXSENSOR__
//*************************************************************************
//* --------------------
//* J4VTXSensor
//* --------------------
//* (Description)
//* 	Derivation class for VTX Sensor.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/06/06  T.Aso	Original version.
//*************************************************************************

#include "J4VVTXDetectorComponent.hh"
#include "J4VTXSubstrate.hh"
#include "J4VTXEpitaxial.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTXSensor : public J4VVTXDetectorComponent {	

private:

  void 	Assemble();    
  void  Cabling ();

  static G4String fName;

  static G4LogicalVolume* fStaticLV;
 
  J4VTXSubstrate* fSubstrate; 
  J4VTXEpitaxial* fEpitaxial; 
  G4ThreeVector* fDxyzSensor;
  G4ThreeVector* fxyzSensor;   

public:


  J4VTXSensor(J4VDetectorComponent* parent       = 0,
	      G4int numOfSensors = 0);

  virtual ~J4VTXSensor();

  virtual void	InstallIn(J4VDetectorComponent* mother);
  virtual void	Draw()      ;
  virtual void	Print() const ;
  virtual G4int GetMyID(){ return -1; } 
  virtual void  LoadLV(){fStaticLV = J4VDetectorComponent::GetLV(); }   
  virtual void  SetLV(G4LogicalVolume* lv ){
    J4VDetectorComponent::SetLV(lv);
    fStaticLV = lv;
  }
  virtual G4LogicalVolume*  GetLV( ){ return fStaticLV; }

};

#endif


