// $Id: J4VTXSubstrate.hh,v 1.1.1.2 2001/05/31 06:35:26 hoshina Exp $
#ifndef __J4VTXSUBSTRATE_
#define __J4VTXSUBSTRATE__
//*************************************************************************
//* --------------------
//* J4VTXSubstrate
//* --------------------
//* (Description)
//* 	Derivation class for VTX Substrate.
//*     Mother class : J4VDetectorComponent
//*    
//* (Update Record)
//*	2001/06/06  T.Aso	Original version.
//*************************************************************************

#include "J4VVTXDetectorComponent.hh"

//=====================================================================
//---------------------
// class definition
//---------------------

class J4VTXSubstrate : public J4VVTXDetectorComponent {	

public:

  J4VTXSubstrate(J4VDetectorComponent* parent       = 0);
  	     
  virtual ~J4VTXSubstrate();

  virtual void	InstallIn(J4VDetectorComponent* mother)   ;
  virtual void	Draw()      ;
  virtual void	Print() const ;
  
private:
  void 	Assemble();    
  void  Cabling ();
  
private:
  
  static G4String fName;
  
  G4ThreeVector* fDxyzSubstrate;
  G4ThreeVector* fxyzSubstrate;   

};

#endif


